Subject: PMP> Textual Convention Changes from RFC 1759

From: Ron Bergman <[email-masked]>
Date: Wed, 22 Dec 1999 08:30:03 -0800

Harry,

Three of the 5 textual conventions have changed.  I never
was happy with these changes and certainly support going
back to the original versions.  I agree with Ira that
these changes break compatibility between RFC 1759 and
the new MIB.

The name changes do not affect the "wire protocol", but
do impact any other MIBs that import these TCs.  I don't
recall the justification for this change, but I suspect
that it was simply an attempt for a uniform naming scheme.

If anyone in the group believes that we need to keep the
new names, please respond with a justification for the
change.

From RFC 1759      From current Internet Draft Printer MIB
----------------------------------------------------------
MediaUnit          PrtMediaUnitTC
CapacityUnit       PrtCapacityUnitTC
SubUnitStatus      PrtSubUnitStatusTC
PresentOnOff       PresentOnOff
CodedCharSet       CodedCharSet

    Ron Bergman
    Hitachi Koki Imaging Solutions